Bug 525277 - Volume drops every song if output volume < 100%
Summary: Volume drops every song if output volume < 100%
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms-pulse
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 539991 540244 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 19:17 UTC by Bruno Wolff III
Modified: 2010-12-04 07:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:39:41 UTC


Attachments (Terms of Use)

Description Bruno Wolff III 2009-09-23 19:17:41 UTC
Description of problem:
When use xmms to play (shuffle mode) songs off the hard drive to a usb headset with the output volume to the headset device set to less than 100%, the volume for xmms playback drops at the start of each song. The amount of the drop seems to be inversely related to output device volume setting, but I haven't carefully measured it.
I have the pulseaudio output plugin selected in xmms' preferences.

Version-Release number of selected component (if applicable):

pulseaudio-0.9.18-1.fc12.x86_64
xmms-1.2.11-8.20071117cvs.fc12.x86_64
xmms-pulse-0.9.4-8.fc12.x86_64

How reproducible:
Seems to happen 100%.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2009-11-16 12:49:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Michael Schwendt 2009-12-09 15:55:01 UTC
[Oh, duplicates...]

You might want to port related fixes from the pulse_audio output driver in
Audacious (originally it started as a copy from xmms-pulse):

 
http://cvs.fedoraproject.org/viewvc/rpms/audacious-plugins/devel/audacious-plugins-2.2-beta1-pulseaudio.patch?hideattic=0&view=markup

Later versions found in Audacious upstream development (after the driver had
been merged again in 2.2) will increase the diff. That's why I link the version
in Fedora package cvs.

The most important thing to do is to call pa_stream_connect_playback() with
NULL volume (= default stream volume) instead of trying to restore XMMS' saved
volume levels. An extra run-time test would be to verify whether XMMS manages
to position its volume slider appropriately.

Comment 3 Michael Schwendt 2009-12-09 15:55:11 UTC
*** Bug 539991 has been marked as a duplicate of this bug. ***

Comment 4 Michael Schwendt 2009-12-09 15:55:17 UTC
*** Bug 540244 has been marked as a duplicate of this bug. ***

Comment 5 Bug Zapper 2010-11-04 09:51:53 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-04 07:39:41 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.